// Beispiel Programm MFC_LogFile (C++ Window Projekt Microsoft Visual Studio 2010)
//
// Beschreibung: Headerdatei zur MFC_LogFileDlg.cpp
//               
//
// Erzeugt von: Andreas Kstler, 15.07.2014 , LANG GmbH & Co. KG

#pragma once
#include "afxwin.h"

// Struktur zum Handling der LSTEP express
struct ControllerStruct {
   CLStep4X *Strg; // Steuerung
   bool Connected; // Anzeige ob verbunden
};

// CC_MFC_LogFileDlg-Dialogfeld
class CC_MFC_LogFileDlg : public CDialogEx
{
// Konstruktion
public:
	CC_MFC_LogFileDlg(CWnd* pParent = NULL);	// Standardkonstruktor

// Dialogfelddaten
	enum { IDD = IDD_C_MFC_LOGFILE_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung


// Implementierung
protected:
	HICON m_hIcon;

	// Generierte Funktionen fr die Meldungstabellen
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP();
  void ConnectController(TCHAR *pCOM_Name, TCHAR *pLanguage, ControllerStruct* pController, bool ExtCallBack);
  void EnableErrorChannel(ControllerStruct* pController);
  void SendError(ControllerStruct* pController);
public:
	afx_msg void OnBnClickedButtonConnect();
	afx_msg void OnBnClickedButtonDisconnect();
	afx_msg void OnBnClickedButtonMoveRel();
	afx_msg void OnBnClickedButtonSendError();
	afx_msg void OnBnClickedButtonCreateLog();
	afx_msg void OnBnClickedButtonFreeLog();
	afx_msg void OnBnClickedButtonClearMsg();
	afx_msg void OnBnClickedCheckProtWindow();
	afx_msg void OnBnClickedCheckErrorChannel();
	afx_msg LRESULT OnMyOwnMessage(WPARAM wParam, LPARAM lParam);		
	UINT LineCount;
	CEdit FileName;
	CEdit Edit_LineCount;
	CListBox ListBoxErrorNumbers;
	CListBox ListBoxErrorChannelMsg;
	CButton CheckBoxErrorChannel;
	CButton CheckBoxProtocolWindow;
	afx_msg void OnDestroy();
  afx_msg void OnBnClickedButtonSendError2();
  afx_msg void OnBnClickedButtonConnect2();
  afx_msg void OnBnClickedButtonDisconnect2();
};
